import { Count, Filter, PostgrestError } from '../types';
export declare type UseSelectState<Data = any> = {
    count?: number | null;
    data?: Data[] | null;
    error?: PostgrestError | null;
    fetching: boolean;
};
export declare type UseSelectResponse<Data = any> = [
    UseSelectState<Data>,
    () => Promise<Pick<UseSelectState<Data>, 'count' | 'data' | 'error'>>
];
export declare type UseSelectOptions = {
    head?: boolean;
    count?: null | Count;
};
export declare type UseSelectConfig<Data = any> = {
    columns?: string;
    filter?: Filter<Data> | false | null;
    options?: UseSelectOptions;
};
export declare function useSelect<Data = any>(table: string, config?: UseSelectConfig): UseSelectResponse<Data>;
